%define		pkgname bios-installer

Name:		bios-installer
Summary:	Bios Installer
Version:	3.0
Release:	3.1
Url:		http://www.linux-administrator.com
License:	GPLv2
Group:		System Environment
Source0:	%{pkgname}-%{version}.tar
%if 0%{?suse_version} >= 1210
Source1:	bios-installer.service
%else
Source1:	bios-installer.init
%endif

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%if 0%{?rhel_version} || 0%{?centos_version} || 0%{?sl_version} || 0%{?redhat_version}
Requires:	dialog coreutils
BuildRequires:	dialog coreutils
%endif

%if 0%{?suse_version}
Requires:	dialog coreutils
BuildRequires:	dialog coreutils
%endif

BuildArch:	noarch

%description
Bios-installer provides a dialog system to write BIOS Updates to DELL Servers.

%prep
%setup -n %{pkgname}-%{version}

%build

%install
%__install -D -m755 bios-installer.conf %{buildroot}%{_sysconfdir}/bios-installer.conf
%__install -D -m755 bios-installer.sh %{buildroot}%{_sbindir}/bios-installer
%if 0%{?suse_version} >= 1210
%__install -D -m755 %{S:1} %{buildroot}%{_sysconfdir}/systemd/system/bios-installer.service
%else
%__install -D -m755 %{S:1} %{buildroot}%{_sysconfdir}/init.d/bios-installer
%endif

%clean
rm -rf %{buildroot}

%post
%if 0%{?suse_version} >= 1210 
 :
%else
if [ "$1" == "1" ] ; then
/sbin/chkconfig --add bios-installer || :
fi
%endif

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/bios-installer.conf
%{_sbindir}/bios-installer
%if 0%{?suse_version} >= 1210
%dir %{_sysconfdir}/systemd
%dir %{_sysconfdir}/systemd/system 
%{_sysconfdir}/systemd/system/bios-installer.service
%else
%{_sysconfdir}/init.d/bios-installer
%endif

%changelog
* Wed Nov 21 2012 cs@linux-administrator.com
- initial package
